<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author 		david.cifuentes
@version 		1.0
@description 	Pantalla genérica que contiene los datos de la actualización que componen el encabezado 
                para las pantallas de actualización. 

@param
            •	actualizacionParam: Objeto Actualización que contiene todos los datos de muestra del encabezado
            •	muestraMunicipioParam: Variable booleana que indica si se muestra el campo Municipio.
            •	muestraDepartamentoParam: Variable booleana que indica si se muestra el campo Departamento.
            •	muestraTipoProcesoParam: Variable booleana que indica si se muestra el campo Tipo de proceso.
            •	muestraZonaParam: Variable booleana que indica si se muestra el campo Zona.
            •	muestraNumeroConvenioParam: Variable booleana que indica si se muestra el campo Número del convenio.
-->

<!--
@modified  pedro.garcia  22-05-2013  eliminación de atributo no usado actualizacionResumenID
-->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:composite="http://java.sun.com/jsf/composite">

    <composite:interface>
        <composite:attribute name="actualizacionParam" required="true" />
        <composite:attribute name="muestraMunicipioParam" default="true" />
        <composite:attribute name="muestraDepartamentoParam" default="true" />
        <composite:attribute name="muestraTipoProcesoParam" default="true" />
        <composite:attribute name="muestraZonaParam" default="true" />
        <composite:attribute name="muestraNumeroConvenioParam" default="true" />

    </composite:interface>

    <composite:implementation>

        <h:form id="actualizacionForm" xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui">

            <h:panelGrid width="100%" cellspacing="5">
                <p:fieldset>
                    <h:panelGrid columns="3" width="100%">
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Departamento:" styleClass="outputLabelStyle"
                                           rendered="#{cc.attrs.muestraDepartamentoParam eq null ? false : cc.attrs.muestraDepartamentoParam}" />
                            <h:outputText
                                value="#{cc.attrs.actualizacionParam.departamento.nombre}"
                                styleClass="outputTextStyle" />
                        </h:panelGrid>

                        <h:panelGrid columns="2"
                                     rendered="#{cc.attrs.muestraMunicipioParam eq null ? false : cc.attrs.muestraMunicipioParam}">
                            <h:outputLabel value="Municipio:" styleClass="outputLabelStyle"
                                           rendered="#{cc.attrs.muestraMunicipioParam eq null? false : cc.attrs.muestraMunicipioParam}" />
                            <h:outputText
                                value="#{cc.attrs.actualizacionParam.municipio.nombre}"
                                styleClass="outputTextStyle" />
                        </h:panelGrid>

                        <h:panelGrid columns="2"
                                     rendered="#{cc.attrs.muestraZonaParam eq null ? false : cc.attrs.muestraZonaParam}">
                            <h:outputLabel value="Zona:" styleClass="outputLabelStyle"
                                           rendered="#{cc.attrs.muestraZonaParam eq null? false : cc.attrs.muestraZonaParam}" />
                            <h:outputText value="#{cc.attrs.actualizacionParam.zona}"
                                          styleClass="outputTextStyle" />
                        </h:panelGrid>

                        <h:panelGrid columns="2"
                                     rendered="#{cc.attrs.muestraTipoProcesoParam eq null ? false : cc.attrs.muestraTipoProcesoParam}">
                            <h:outputLabel value="Tipo de proceso:"
                                           styleClass="outputLabelStyle"
                                           rendered="#{cc.attrs.muestraTipoProcesoParam eq null? false : cc.attrs.muestraTipoProcesoParam}" />
                            <h:outputText value="#{cc.attrs.actualizacionParam.tipoProceso}"
                                          styleClass="outputTextStyle" />
                        </h:panelGrid>

                        <h:panelGrid columns="2"
                                     rendered="#{cc.attrs.muestraNumeroConvenioParam eq null ? false : cc.attrs.muestraNumeroConvenioParam}">
                            <h:outputLabel value="Número de convenio:"
                                           styleClass="outputLabelStyle" />	
                            <p:dataList value="#{cc.attrs.actualizacionParam.convenios}" var="convenio" itemType="circle"
                                        rendered="#{not empty cc.attrs.actualizacionParam.convenios}" >
                                #{convenio.numero}
                            </p:dataList>
                        </h:panelGrid>

                    </h:panelGrid>
                </p:fieldset>
            </h:panelGrid>
        </h:form>

    </composite:implementation>
</html>